<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-toolbar-title>
          Themis
          <q-icon left size="1em" name="gavel" />
        </q-toolbar-title>

        <div class="q-pa-md q-gutter-md">
          <q-btn color="secondary" @click="logout()">
            <q-icon left size="2em" name="settings_power" />
            <div>Log out</div>
          </q-btn>
        </div>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
      content-class="bg-grey-1"
    >
      <q-list>
        <q-item clickable exact to="/home">
          <q-item-section avatar>
            <q-icon name="house" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Home</q-item-label>
          </q-item-section>
        </q-item>

        <q-item clickable exact to="/profile">
          <q-item-section avatar>
            <q-icon name="person" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Profile</q-item-label>
          </q-item-section>
        </q-item>

        <q-item clickable exact to="/results">
          <q-item-section avatar>
            <q-icon name="trending_up" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Results</q-item-label>
          </q-item-section>
        </q-item>

        <q-item v-if="admin" clickable exact to="/admin">
          <q-item-section avatar>
            <q-icon name="admin_panel_settings" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Admin</q-item-label>
          </q-item-section>
        </q-item>
        <q-img class="logo" src="../assets/login-logo.png" />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from "components/EssentialLink.vue";
import { openURL } from "quasar";
import { api } from "boot/axios";
import { mapMutations } from "vuex";
import { mapGetters } from "vuex";

export default {
  name: "MainLayout",
  components: { EssentialLink },
  data() {
    return {
      leftDrawerOpen: false
      // essentialLinks: linksData,
    };
  },
  methods: {
    ...mapMutations("user", ["logout"]),

    openURL,
    logout: async () => {
      // window.sessionStorage.setItem("token", "");
      sessionStorage.clear();
      window.location.replace("/");
    }
  },
  computed: {
    ...mapGetters("user", ["admin"])
  }
};
</script>

<style>
.logo {
  position: absolute;
  bottom: 0px;
  max-height: 50%;
  max-width: 50%;
  display: block;
  margin-left: 25%;
  margin-right: 25%;
  padding: 10px;
}
</style>
